package util

// AppendIfNotExists 向切片中追加元素，如果元素已存在则不添加
func AppendIfNotExists(slice []string, element string) []string {
	for _, item := range slice {
		if item == element {
			return slice // 元素已存在，直接返回原切片
		}
	}
	return append(slice, element) // 元素不存在，追加到切片末尾
}
